﻿@model IEnumerable<fenykepalbum_5_2.AspNetCore.NewDb.Models.Kepek>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>
<form asp-action="Index" method="get">  
        <p>
            Szűrő <input type="text" name="szűrő" value="@ViewData["szűrő"]" />
            <input type="hidden" name="rendezés" value="@ViewData["rendezés"]"/>
            <input type="submit" value="Szűrj" class="btn btn-default" /> |
            <a asp-action="Index" asp-route-rendezés="@ViewData["rendezés"]" >Teljes lista</a>
        </p>
</form>
   <p>
        <a asp-action="Create">Új létrehozása</a>
    </p>
    <table class="table">
        <thead>
            <tr>                
                <th>
                    <a asp-action="Index" asp-route-megkellfordítani="true" asp-route-szűrő="@ViewData["szűrő"]" asp-route-rendezés="@ViewData["rendfnev"]">Kép, filenév</a>                   
                </th>         
                <th>                  
                    <a asp-action="Index" asp-route-megkellfordítani="true"  asp-route-szűrő="@ViewData["szűrő"]" asp-route-rendezés="@ViewData["rendhol"]"> @Html.DisplayNameFor(model => model.Holkeszult)</a>
                </th>
                <th>
                    <a asp-action="Index" asp-route-megkellfordítani="true" asp-route-szűrő="@ViewData["szűrő"]" asp-route-rendezés="@ViewData["rendmikor"]"> @Html.DisplayNameFor(model => model.Mikor) </a>
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Leiras)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td style="border-bottom:none">
                        <img src="~/kepek/@item.Filenev" class="img-thumbnail kicsi" />
                    </td>
                    <td rowspan="2">
                        @Html.DisplayFor(modelItem => item.Holkeszult)
                    </td>
                    <td rowspan="2">
                        @Html.DisplayFor(modelItem => item.Mikor)
                    </td>
                    <td rowspan="2">
                        @Html.DisplayFor(modelItem => item.Leiras)
                    </td>
                    <td rowspan="2">
                        <a asp-action="Edit" asp-route-id="@item.Id">Szerkesztés</a> |
                        <a asp-action="Details" asp-route-id="@item.Id">Részletek</a> |
                        <a asp-action="Delete" asp-route-id="@item.Id">Törlés</a>
                    </td>
                </tr>
                <tr>
                    <td style="border-top:none">
                        @Html.DisplayFor(modelItem => item.Filenev)
                    </td>
                </tr>
            }
        </tbody>
    </table>
